Subject: IPP> Re: MOD - Re. Paper size

From: Don Wright <[email-masked]>
Date: 17 Mar 97 11:04:42 EST

Carl-Uno:

Well, I guess we will have to disagree on this one.  If the author
wants to print on A4 then format it for A4.  If he wants it on US Letter
then format it for US Letter.  If he wants it on both then format it 
for both.  If the printer can "fit to page" great but I still do not 
think this is in the realm of a print transport protocol.  I don't think
putting this burden on the print server is acceptable.  I don't think
most clients (read users) will even know for what size the job 
was formatted, let alone figure out how to tell the system what to 
do,  There are too many rat holes in this problem and no sure
solutions.  The users will still be unable to reliably predict what
the output will look like.

Don

To: Don Wright, ipp%pwg.org @ interlock.lexmark.com @ SMTP
cc:  
From: carl%manros.com @ interlock.lexmark.com (Carl-Uno Manros) @ SMTP
Date: 03/17/97 07:18:06 AM
Subject: MOD - Re. Paper size

Don,

I am not sure if you understood my proposal.  I did not suggest
that the printer had to do reformatting to the new media, but
that you reduce each page image slightly to make it fit on the 
other media. A number of applications are able to do this today;
would it be impossible to have the printer do the same? 

As for 80% I tend to think it is within. Anybody who is dealing 
with sending print files over either the Atlantic or the Pacific 
is bound to have this problem. This is a typical Internet problem 
vs. a LAN or intranet one. The guys who standardized media failed 
considerably in this area, which means that people like us need 
to find a remedy. Am I really on my own here?

Carl-Uno

At 08:22 AM 3/17/97 EST, Don Wright wrote:
>While quite an interesting problem (and which Lexmark has 
>solved with its Windows and OS/2 drivers) I do think it is out
>of scope for IPP.  This function is more than a simple turn on/
>turn off operation like stapling, etc., it really changes the 
>appearance of the document.  Then again, I think trying
>to use late binding to do duplex is WRONG because it
>cannot change the footers, for example, to keep the page
>numbers on the outside edges of the bound pages.  This is
>just another example.  Should the printer do a page eject
>when the A4 lines exceed the US Letter page length?  Should
>it just shrink the A4 page to fit on US Letter? etc? etc? etc?
>Late binding cannot propoerly solve this problem and a
>half-baked solution won't work because every printer is not
>capable of handling this and the server surely isn't.  If you
>don't format the document for the right paper size, don't 
>expect the spooling system or the transport layer to
>fix it for you.
>
>Sure I'd like for IPP to solve every problem but I don't
>think this is one can be reasonably done on our schedule 
>nor do I think it falls in the 80% region.
>
>My 2 cents worth....
>
>Don
>
>To: ipp%pwg.org @ interlock.lexmark.com @ SMTP
>cc:  (bcc: Don Wright)
>From: carl%manros.com @ interlock.lexmark.com (Carl-Uno Manros) @ SMTP
>Date: 03/16/97 10:59:12 AM
>Subject: IPP> MOD - Paper size
>
>
>It just occured to me that during the last IETF meeting several people
>brought up the trouble with papersizes (US Letter vs. A4), a problem they
>hoped that IPP would help solve.
>
>As far as I can see there are two possibble approaches that we can take
>(there may be more):
>
>1) To have a "shrink to fit" attribute, which would cover both the need to
>reduce the width of the page image of a US Letter formatted document to fit
>on the more narrow A4 media, or to reduce the length of an A4 page image to
>fit the shorter US Letter media.
>
>2) To instruct people to use the "best fit" option for the media attribute
>and hope that the printer is clever enough to figure out that it has to
>reduce the page image to fit.
>
>Whichever way we go, I think it is important that we have an answer on this
>for the upcoming IETF meeting, as well as put it in as an example in the MOD
>document.
>
>My 2 cents..
>
>Carl-Uno
>
> 
>
>
>

---

From: [email-masked]
Date: Mon, 17 Mar 97 16:26:32 -0600

Postscript does address this with the Page Policies.  
     
     This is described on pages 245-247 of "Postscript Language Reference 
     Manual" second edition.
     
     I bet the implementation of the page policies is still vendor 
     specific, and this functionality is certainly PDL specific.  
     
     I tend to agree with Don, solving this is not in the scope of IPP.
     
     Mabry
     
     QMS Inc.

______________________________ Reply Separator _________________________________
Subject: IPP> Re: MOD - Re. Paper size 
Author:  Keith Moore <[email-masked]> at Internet-Mail
Date:    3/17/97 5:01 PM

> would it be impossible to have the printer do the same? 
     
I don't want a printer to pretend to support A4 paper if it doesn't 
have and support that medium, but if there were a standard way to say 
"I don't have A4 paper but if someone tries to print an A4 size page I 
will shrink it to US letter size" (perhaps with a well-defined way to 
do the shrinking) that would be a major win.  Similarly for printing 
USletter images on A4 media.
     
Ideally this would happen automatically, without ever causing problems 
by having something shrink unexpectedly :)
     
Keith